update toolchain packages for bionic

Bug #1769657 reported by Matthias Klose on 2018-05-07
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
binutils (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
build-essential (Ubuntu)
Undecided
Unassigned
cross-toolchain-base (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
cross-toolchain-base-ports (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
gcc-7 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
gcc-7-cross (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
gcc-7-cross-ports (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
gcc-8 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
gcc-8-cross (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
gcc-8-cross-ports (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
gcc-defaults (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
gcc-defaults-ports (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned

Bug Description

I'd like to update the toolchain packages in bionic, to state which we have in cosmic on May 07:

 - LP: #1771635: binutils updates from the branch
 - gcc-8, update to the final 8.1.0 release
 - gcc-7, updates to the gcc-7-branch up to the time of the
   8.1.0 release.
 - gcc-defaults to bump the 8.1 version, and add some provides
 - build-essential to add cross packages for amd64 and i386
 - corresponding gcc-cross packages

The package builds are prepared in
https://launchpad.net/~ubuntu-toolchain-r/+archive/ubuntu/ppa/+packages

[Impact]
Provide an upstream release for GCC 8, and update GCC 7 fixes to the
date of the corresponding GCC 8 updates.

[Regression Potential]
There is regression potential, however with a test rebuild of the main portion of the archive no regressions were found.

[Test Case]
No regressions in the GCC test suite, and no regressions in the test
rebuild of the main component of the archive (all architectures)

As a test, a complete archive rebuild (main only) was performed, and no regressions were found with this new package. The archive rebuild also contained updated versions of gcc-7, gcc-8, binutils, python3.6 and python3.7. The GCC and Python packages should not infer with each other.

[Validation]
Analyze the build logs for regressions.
For the cross builds, just make sure that the packages build using
the updated sources.

Summary of the test rebuilds:
file:///home/ubuntu/ftbfs-report/production/test-rebuild-20180730-bionic.html
http://people.canonical.com/~doko/ftbfs-report/test-rebuild-20180730-gcc-bionic.html

No regressions are shown with the test rebuild.

Matthias Klose (doko) on 2018-05-16
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package binutils - 2.30-20ubuntu2~18.04

---------------
binutils (2.30-20ubuntu2~18.04) bionic-security; urgency=medium

  * Combined security update / SRU: LP: #1771635, LP: #1769657.

binutils (2.30-20ubuntu2) cosmic; urgency=medium

  * Fix PR gprof/23056, memory corruption in gprof. LP: #1763098.
  * Fix PR binutils/23054, memory corruption in as. LP: #1763096.
  * Fix PR ld/23055, memory corruption in ld. LP: #1763094.

binutils (2.30-20ubuntu1) cosmic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

binutils (2.30-20) unstable; urgency=medium

  * Update, taken from the 2.30 branch 20180516.
    - Fix PR binutils/23109, disassembly mask for vector sdot on AArch64.
    - Fix uninitialised memory acccess in COFF bfd backend.
    - Update Portuguese translations.

binutils (2.30-19) unstable; urgency=medium

  * Build-depend on procps.

binutils (2.30-17ubuntu1) cosmic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

binutils (2.30-17) unstable; urgency=medium

  * Update, taken from the 2.30 branch 20180502.
    - Fix PR ld/23123, PR ld/22374, PowerPC32 ifunc regression.
    - AArch64: Fix the mask for the sqrdml(a|s)h instructions.
  * Fix unintialized memory in aarch64 opcodes, taken from the trunk.

binutils (2.30-16) unstable; urgency=medium

  * Update, taken from the 2.30 branch 20180425.
    - Fix PR ld 22782, x86: Remove the unused _GLOBAL_OFFSET_TABLE_.
    - Update spanish and russian translations.
  * Add amd64, i386, x32 and riscv64 cross compilers as build (test)
    dependencies.

 -- Matthias Klose <email address hidden> Wed, 16 May 2018 15:20:51 -0400

Changed in binutils (Ubuntu):
status: New → Fix Released
Gregor Jasny (gjasny) wrote :

Hello doko,

could you please tell if the work described in this issue is likely to happen in Bionic?

I'd like to use clang and with C++17 and with libstdc++-7-dev I'm running into the issue described in https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=877838

There's an upstream libstdc++ work-around available in libstdc++-8-dev but I'm unsure if the -8 version is suitable for production due to only being available in 'universe' and having a kind of snapshot version.

Thanks,
Gregor

Matthias Klose (doko) on 2018-09-12
description: updated
Matthias Klose (doko) on 2018-09-13
description: updated

Hello Matthias, or anyone else affected,

Accepted binutils into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/binutils/2.30-21ubuntu1~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in binutils (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-bionic
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted gcc-7 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-7/7.3.0-27ubuntu1~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gcc-7 (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

This bug is already fixed in the latest version present in bionic-security - marking as verified.

Łukasz Zemczak (sil2100) wrote :

Please ignore above comment (#5), sent it into the wrong bug.

Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted gcc-8 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-8/8.2.0-1ubuntu2~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gcc-8 (Ubuntu Bionic):
status: New → Fix Committed
Matthias Klose (doko) wrote :

binutils, gcc-7 and gcc-8 built successfully. All autopkg tests pass, testsuites look good.

New scheduled the cross builds.

Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted gcc-7-cross into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-7-cross/21ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gcc-7-cross (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted gcc-8-cross into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-8-cross/18ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gcc-8-cross (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted gcc-8-cross-ports into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-8-cross-ports/9ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gcc-8-cross-ports (Ubuntu Bionic):
status: New → Fix Committed
Changed in gcc-7-cross-ports (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted gcc-7-cross-ports into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-7-cross-ports/17ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted cross-toolchain-base into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/cross-toolchain-base/26ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in cross-toolchain-base (Ubuntu Bionic):
status: New → Fix Committed
Changed in cross-toolchain-base-ports (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted cross-toolchain-base-ports into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/cross-toolchain-base-ports/22ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gcc-defaults (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted gcc-defaults into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-defaults/1.176ubuntu2.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted gcc-defaults-ports into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-defaults-ports/1.176ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gcc-defaults-ports (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted cross-toolchain-base-ports into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/cross-toolchain-base-ports/22ubuntu0.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted cross-toolchain-base-ports into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/cross-toolchain-base-ports/22ubuntu0.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Matthias Klose (doko) wrote :

all cross packages now built, and installable.

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic

The verification of the Stable Release Update for cross-toolchain-base-ports has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-defaults-ports - 1.176ubuntu1.1

---------------
gcc-defaults-ports (1.176ubuntu1.1) bionic-proposed; urgency=medium

   * SRU: LP: #1769657. Bump GCC 8 based versions to 8.2.0.

 -- Matthias Klose <email address hidden> Mon, 17 Sep 2018 09:16:43 +0200

Changed in gcc-defaults-ports (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-defaults - 1.176ubuntu2.1

---------------
gcc-defaults (1.176ubuntu2.1) bionic-proposed; urgency=medium

  * SRU: LP: #1769657. Bump GCC 8 based versions to 8.2.0.
  * Build armel, armhf and arm64 packages on ppc64el.

 -- Matthias Klose <email address hidden> Mon, 17 Sep 2018 09:07:57 +0200

Changed in gcc-defaults (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-7-cross-ports - 17ubuntu0.1

---------------
gcc-7-cross-ports (17ubuntu0.1) bionic-proposed; urgency=medium

  * SRU: LP: #1769657. Build using 7.3.0-18ubuntu0.1.

gcc-7-cross-ports (17ubuntu2) cosmic; urgency=medium

  * Build using 7.3.0-18ubuntu2.

gcc-7-cross-ports (17) unstable; urgency=medium

  * Build using 7.3.0-18.

 -- Matthias Klose <email address hidden> Mon, 07 May 2018 21:33:46 +0200

Changed in gcc-7-cross-ports (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-8-cross - 18ubuntu0.1

---------------
gcc-8-cross (18ubuntu0.1) bionic-proposed; urgency=medium

  * SRU: LP: #1769657. Build using gcc 8.2.0-1ubuntu2
  * Build armel, armhf and arm64 cross packages on ppc64el.

gcc-8-cross (18ubuntu3) cosmic; urgency=medium

  * Build using gcc 8.2.0-1ubuntu2.

gcc-8-cross (18ubuntu2) cosmic; urgency=medium

  * Build using gcc 8.1.0-11ubuntu1.

gcc-8-cross (18ubuntu1) cosmic; urgency=medium

  * Build using gcc 8.1.0-5ubuntu1.

gcc-8-cross (18) unstable; urgency=medium

  * Build using gcc 8.1.0-5.

gcc-8-cross (17ubuntu1) cosmic; urgency=medium

  * Build using gcc 8.1.0-4ubuntu1.

gcc-8-cross (17) unstable; urgency=medium

  * Build using gcc 8.1.0-4.

gcc-8-cross (16ubuntu2) cosmic; urgency=medium

  * Make the control file generation independent of the build architecture.

gcc-8-cross (16ubuntu1) cosmic; urgency=medium

  * Build using gcc 8.1.0-3ubuntu2.

gcc-8-cross (16) unstable; urgency=medium

  * gnat-*: Don't search the target dirs when calling dh_shlibdeps.

gcc-8-cross (15ubuntu1) cosmic; urgency=medium

  * Build using gcc 8.1.0-3ubuntu1.

gcc-8-cross (14) unstable; urgency=medium

  * Build using gcc 8.1.0-3.
  * Don't build the architecture dependent packages for the native
    architecture when building with -B. Closes: #898374.

gcc-8-cross (12ubuntu1) cosmic; urgency=medium

  * Build using gcc 8.1.0-1ubuntu2.

gcc-8-cross (12) unstable; urgency=medium

  * Build using gcc 8.1.0-1.

gcc-8-cross (11) unstable; urgency=medium

  * Build using gcc 8-20180425-1.

gcc-8-cross (10) unstable; urgency=medium

  * Hard-code the cross version.

 -- Matthias Klose <email address hidden> Sun, 29 Jul 2018 01:32:20 +0200

Changed in gcc-8-cross (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (10.5 KiB)

This bug was fixed in the package gcc-8 - 8.2.0-1ubuntu2~18.04

---------------
gcc-8 (8.2.0-1ubuntu2~18.04) bionic-proposed; urgency=medium

  * SRU: LP: #1769657. Update the package to the current version in cosmic.

gcc-8 (8.2.0-1ubuntu2) cosmic; urgency=medium

  * Update to SVN 20180727 (r263045) from the gcc-8-branch.
    - Fix PR middle-end/86542, PR middle-end/86539, PR middle-end/86660,
      PR middle-end/86627, PR target/86511.
  * Update cross-build patches for GCC 8.2.
  * Refresh patches.

gcc-8 (8.2.0-1ubuntu1) cosmic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

gcc-8 (8.2.0-1) unstable; urgency=medium

  * GCC 8.2.0 release.
  * Update GDC to 20180726 from the gdc-8-stable branch..

gcc-8 (8.1.0-12ubuntu1) cosmic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

gcc-8 (8.1.0-12) unstable; urgency=medium

  * GCC 8.2.0 release candidate.
  * Update to SVN 20180719 (r262861) from the gcc-8-branch.
    - Fix PR middle-end/85602, PR c++/86480.

  [ Nicolas Boulenguez ]
  * ada-verbose patch: Make the ada build more verbose.
  * Update the ada-gcc-name patch again. See #856274. Closes: #903694.

  [ Matthias Klose ]
  * Rewrite debian/README.cross.

gcc-8 (8.1.0-11ubuntu1) cosmic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

gcc-8 (8.1.0-11) unstable; urgency=medium

  * Update to SVN 20180717 (r262818) from the gcc-8-branch.
    - Fix PR c/86453, PR debug/86452, PR debug/86457, PR middle-end/85974,
      PR middle-end/86076, PR tree-optimization/85935,
      PR tree-optimization/86514, PR tree-optimization/86274,
      PR target/84413 (x86), PR middle-end/86202, PR target/84829,
      PR c++/3698, PR c++/86208, PR c++/86374, PR sanitizer/86406,
      PR fortran/83184, PR fortran/86417, PR fortran/83183,
      PR fortran/86325.

  [ Nicolas Boulenguez ]
  * Update the ada-gcc-name patch, not appending the suffix twice.
    Addresses: #856274.

gcc-8 (8.1.0-10ubuntu1) cosmic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

gcc-8 (8.1.0-10) unstable; urgency=medium

  * Update to SVN 20180712 (r262577) from the gcc-8-branch.
    - Fix PR libstdc++/86272, PR libstdc++/86127, PR target/85904,
      PR libstdc++/85098, PR libstdc++/85671, PR libstdc++/83982,
      PR libstdc++/86292, PR libstdc++/86138, PR libstdc++/84087,
      PR libstdc++/86398, PR hsa/86371, PR tree-optimization/86492,
      PR c++/86400, PR target/86285 (PPC), PR debug/86064,
      PR target/86222 (PPC), PR rtl-optimization/85645,
      PR rtl-optimization/85645, PR target/86314 (x86), PR sanitizer/86406,
      PR c++/86398, PR c++/86378, PR c++/86320, PR c++/80290,
      PR fortran/82969, PR fortran/86242, PR fortran/82865.
  * Enable decimal float support on kfreebsd-amd64. Closes: #897416.

gcc-8 (8.1.0-9ubuntu1) cosmic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

gcc-8 (8.1.0-9) unstable; urgency=medium

  * Update to SVN 20180626 (r262138) from the gcc-8-branch.
    - Fix PR libstdc++/86138, PR libstdc++/82644, PR libgcc/862...

Changed in gcc-8 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (7.7 KiB)

This bug was fixed in the package gcc-7 - 7.3.0-27ubuntu1~18.04

---------------
gcc-7 (7.3.0-27ubuntu1~18.04) bionic-proposed; urgency=medium

  * SRU: LP: #1769657. Update the package to the current version in cosmic.

gcc-7 (7.3.0-27ubuntu1) cosmic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

gcc-7 (7.3.0-27) unstable; urgency=medium

  * Update to SVN 20180720 (r262899) from the gcc-7-branch.
    - Fix PR target/84168 (AArch64).

  [ Nicolas Boulenguez ]
  * ada-verbose patch: Make the ada build more verbose.
  * Update the ada-gcc-name patch again. See #856274. Closes: #903694.

  [ Matthias Klose ]
  * Rewrite debian/README.cross.
  * Build using gnat-6, avoiding the broken gnat in 7.3.0-26.

gcc-7 (7.3.0-26ubuntu1) cosmic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

gcc-7 (7.3.0-26) unstable; urgency=medium

  * Update to SVN 20180717 (r262814) from the gcc-7-branch.
    - Fix PR target/84829, PR fortran/83184, PR fortran/86417,
      PR fortran/83183, PR fortran/86325.

  [ Nicolas Boulenguez ]
  * Update the ada-gcc-name patch, not appending the suffix twice.
    Addresses: #856274.

gcc-7 (7.3.0-25ubuntu1) cosmic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

gcc-7 (7.3.0-25) unstable; urgency=medium

  * Update to SVN 20180712 (r262577) from the gcc-7-branch.
    - Fix PR c++/86291, PR libstdc++/86272, PR libstdc++/86127,
      PR target/85904, PR libstdc++/85098, PR libstdc++/85671, PR hsa/86371,
      PR libstdc++/83982, PR libstdc++/84087, PR target/86314 (x86),
      PR c++/86378, PR c++/80290, PR c++/86291, PR fortran/82969,
      PR fortran/86242.
  * Enable decimal float support on kfreebsd-amd64. Closes: #897416.

gcc-7 (7.3.0-24ubuntu1) cosmic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

gcc-7 (7.3.0-24) unstable; urgency=medium

  * Update to SVN 20180626 (r262132) from the gcc-7-branch.
    - Fix PR jit/85384, PR libstdc++/86138, PR c++/86210, PR c/85696,
      PR c++/85662, PR c/85696, PR c/84999, PR c/84853, PR target/84786 (x86),
      PR tree-optimization/85989, PR tree-optimization/86231,
      PR middle-end/85878, PR target/85945, PR c++/86025, PR c++/85659,
      PR web/85578, PR tree-optimization/85529, PR tree-optimization/85446,
      PR rtl-optimization/85431, PR target/85430 (x86),
      PR rtl-optimization/85300, PR tree-optimization/85257, PR debug/85252,
      PR rtl-optimization/85167, PR target/85095, PR inline-asm/85022,
      PR inline-asm/85034, PR inline-asm/85022, PR inline-asm/84941,
      PR sanitizer/85018, PR debug/84875, PR c/84953, PR target/84990,
      PR sanitizer/78651, PR sanitizer/78651, PR target/84899,
      PR tree-optimization/84841, PR c++/79085, PR target/84860,
      PR middle-end/84834, PR target/84827, PR target/84786, PR target/84772,
      PR c++/84767, PR tree-optimization/84739, PR target/84700,
      PR middle-end/82063, PR c++/85952, PR c/85696, PR c++/85662,
      PR c++/84463, PR c++/85210, PR c++/85208, PR inline-asm/85172,
      PR c++/85147, PR c++/85140, PR c++/84791, PR c...

Read more...

Changed in gcc-7 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cross-toolchain-base-ports - 22ubuntu0.3

---------------
cross-toolchain-base-ports (22ubuntu0.3) bionic-proposed; urgency=medium

  * SRU: LP: #1769657. Rebuild using updated toolchain packages.
  * Don't go beyond the first version available in cosmic.

 -- Matthias Klose <email address hidden> Thu, 20 Sep 2018 15:04:07 +0200

Changed in cross-toolchain-base-ports (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cross-toolchain-base - 26ubuntu0.1

---------------
cross-toolchain-base (26ubuntu0.1) bionic-proposed; urgency=medium

  * SRU: LP: #1769657.
    - Fix ARM32 multilib installations.
    - Fix binutils installation in the build chroot.

 -- Matthias Klose <email address hidden> Mon, 17 Sep 2018 15:39:55 +0200

Changed in cross-toolchain-base (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-7-cross - 21ubuntu0.1

---------------
gcc-7-cross (21ubuntu0.1) bionic-proposed; urgency=medium

  * SRU: LP: #1769657. Build using 7.3.0-18ubuntu0.1.
  * Build armel, armhf and arm64 cross packages on ppc64el.

gcc-7-cross (21ubuntu2) cosmic; urgency=medium

  * Build using 7.3.0-18ubuntu2.

gcc-7-cross (21) unstable; urgency=medium

  * Build using 7.3.0-18.

 -- Matthias Klose <email address hidden> Mon, 07 May 2018 21:27:59 +0200

Changed in gcc-7-cross (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-8-cross-ports - 9ubuntu0.1

---------------
gcc-8-cross-ports (9ubuntu0.1) bionic-proposed; urgency=medium

  * SRU: LP: #1769657. Build using gcc 8.2.0-1ubuntu0.1.

 -- Matthias Klose <email address hidden> Mon, 17 Sep 2018 13:51:47 +0200

Changed in gcc-8-cross-ports (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package binutils - 2.30-21ubuntu1~18.04

---------------
binutils (2.30-21ubuntu1~18.04) bionic-proposed; urgency=medium

  * SRU: LP: #1769657
  * Build cross packages for armel, armhf, arm64 on ppc64el.

binutils (2.30-21ubuntu1) cosmic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

binutils (2.30-21) unstable; urgency=medium

  * Update, taken from the 2.30 branch 20180529.
    - x86-64: Add TLSDESC fields to elf_x86_lazy_plt_layout.
    - PR binutils/23199, mark section in a section group with SHF_GROUP.
    - PR ld/23194, x86: Don't set eh->local_ref to 1 for versioned symbol.
    - PR ld/23189, x86: Don't set eh->local_ref to 1 for linker defined symbols.
    - PR binutils/23199, Invalid SHT_GROUP entry leads to group confusion.
  * Fix PR gprof/23056, memory corruption in gprof. LP: #1763098.
  * Fix PR binutils/23054, memory corruption in as. LP: #1763096.
  * Fix PR ld/23055, memory corruption in ld. LP: #1763094.

 -- Matthias Klose <email address hidden> Wed, 12 Sep 2018 17:38:08 +0200

Changed in binutils (Ubuntu Bionic):
status: Fix Committed → Fix Released
TJ (tj) wrote :

I suspect the recent Bionic changes have broken the install. At least I'm seeing the following:

$ sudo apt-get upgrade

Reading package lists... 0%

Reading package lists... 100%

Reading package lists... Done

Building dependency tree... 0%

Building dependency tree... 0%

Building dependency tree... 50%

Building dependency tree... 50%

Building dependency tree

Reading state information... 0%

Reading state information... 0%

Reading state information... Done

Calculating upgrade... 0%

Calculating upgrade... 50%

Calculating upgrade... Done

The following packages will be upgraded:
  libc6-armhf-cross libc6-dev-armhf-cross
2 to upgrade, 0 to newly install, 0 to remove and 0 not to upgrade.
Need to get 0 B/2,904 kB of archives.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n] y
(Reading database ...
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 405785 files and directories currently installed.)
Preparing to unpack .../libc6-dev-armhf-cross_2.27-3ubuntu1cross1.1_all.deb ...
Unpacking libc6-dev-armhf-cross (2.27-3ubuntu1cross1.1) over (2.27-3ubuntu1cross1) ...
dpkg: error processing archive /var/cache/apt/archives/libc6-dev-armhf-cross_2.27-3ubuntu1cross1.1_all.deb (--unpack):
 unable to open '/usr/arm-linux-gnueabihf/lib/Mcrt1.o.dpkg-new': No such file or directory
No apport report written because the error message indicates an issue on the local system
Preparing to unpack .../libc6-armhf-cross_2.27-3ubuntu1cross1.1_all.deb ...
Unpacking libc6-armhf-cross (2.27-3ubuntu1cross1.1) over (2.27-3ubuntu1cross1) ...
dpkg: error processing archive /var/cache/apt/archives/libc6-armhf-cross_2.27-3ubuntu1cross1.1_all.deb (--unpack):
 unable to open '/usr/arm-linux-gnueabihf/lib/ld-2.27.so.dpkg-new': No such file or directory
No apport report written because the error message indicates an issue on the local system
Errors were encountered while processing:
 /var/cache/apt/archives/libc6-dev-armhf-cross_2.27-3ubuntu1cross1.1_all.deb
 /var/cache/apt/archives/libc6-armhf-cross_2.27-3ubuntu1cross1.1_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

TJ (tj) wrote :
Download full text (3.4 KiB)

An strace shows:

$ sudo strace -o /tmp/dpkg.log -f dpkg -i /var/cache/apt/archives/libc6-dev-armhf-cross_2.27-3ubuntu1cross1.1_all.deb

$ grep -E '(Mcrt1|error processing)' /tmp/strace-dpkg.log

22528 lstat("/usr/arm-linux-gnueabihf/lib/Mcrt1.o", 0x7ffef13bf320) = -1 ENOENT (No such file or directory)
22528 rename("/usr/arm-linux-gnueabihf/lib/Mcrt1.o.dpkg-tmp", "/usr/arm-linux-gnueabihf/lib/Mcrt1.o") = -1 ENOENT (No such file or directory)
22528 rmdir("/usr/arm-linux-gnueabihf/lib/Mcrt1.o.dpkg-new") = -1 ENOENT (No such file or directory)
22528 rmdir("/usr/arm-linux-gnueabihf/lib/Mcrt1.o.dpkg-tmp") = -1 ENOENT (No such file or directory)
22528 openat(AT_FDCWD, "/usr/arm-linux-gnueabihf/lib/Mcrt1.o.dpkg-new", O_WRONLY|O_CREAT|O_EXCL, 000) = 11
22528 utimes("/usr/arm-linux-gnueabihf/lib/Mcrt1.o.dpkg-new", [{tv_sec=1538707686, tv_usec=0} /* 2018-10-05T03:48:06+0100 */, {tv_sec=1537191595, tv_usec=0} /* 2018-09-17T14:39:55+0100 */]) = 0
22528 lstat("/usr/arm-linux-gnueabi/libhf/Mcrt1.o", 0x7ffef13bf320) = -1 ENOENT (No such file or directory)
22528 rename("/usr/arm-linux-gnueabi/libhf/Mcrt1.o.dpkg-tmp", "/usr/arm-linux-gnueabi/libhf/Mcrt1.o") = -1 ENOENT (No such file or directory)
22528 rmdir("/usr/arm-linux-gnueabi/libhf/Mcrt1.o.dpkg-new") = -1 ENOTDIR (Not a directory)
22528 lstat("/usr/arm-linux-gnueabi/libhf/Mcrt1.o.dpkg-new", {st_mode=S_IFREG|0644, st_size=448, ...}) = 0
22528 unlink("/usr/arm-linux-gnueabi/libhf/Mcrt1.o.dpkg-new") = 0
22528 rmdir("/usr/arm-linux-gnueabi/libhf/Mcrt1.o.dpkg-tmp") = -1 ENOENT (No such file or directory)
22528 symlink("../../arm-linux-gnueabihf/lib/Mcrt1.o", "/usr/arm-linux-gnueabi/libhf/Mcrt1.o.dpkg-new") = 0
22528 lchown("/usr/arm-linux-gnueabi/libhf/Mcrt1.o.dpkg-new", 0, 0) = 0
22528 utimensat(AT_FDCWD, "/usr/arm-linux-gnueabi/libhf/Mcrt1.o.dpkg-new", [{tv_sec=1538707686, tv_nsec=0} /* 2018-10-05T03:48:06+0100 */, {tv_sec=1537191595, tv_nsec=0} /* 2018-09-17T14:39:55+0100 */], AT_SYMLINK_NOFOLLOW) = 0
22528 openat(AT_FDCWD, "/usr/arm-linux-gnueabihf/lib/Mcrt1.o.dpkg-new", O_WRONLY) = -1 ENOENT (No such file or directory)
22528 write(2, "\33[1mdpkg:\33[0m error processing a"..., 219) = 219
22528 lstat("/usr/arm-linux-gnueabi/libhf/Mcrt1.o.dpkg-tmp", 0x7ffef13bff30) = -1 ENOENT (No such file or directory)
22528 rmdir("/usr/arm-linux-gnueabi/libhf/Mcrt1.o.dpkg-new") = -1 ENOTDIR (Not a directory)
22528 lstat("/usr/arm-linux-gnueabi/libhf/Mcrt1.o.dpkg-new", {st_mode=S_IFLNK|0777, st_size=37, ...}) = 0
22528 unlink("/usr/arm-linux-gnueabi/libhf/Mcrt1.o.dpkg-new") = 0
22528 lstat("/usr/arm-linux-gnueabihf/lib/Mcrt1.o.dpkg-tmp", 0x7ffef13bff30) = -1 ENOENT (No such file or directory)
22528 rmdir("/usr/arm-linux-gnueabihf/lib/Mcrt1.o.dpkg-new") = -1 ENOENT (No such file or directory)

At the same time an inotifywait shows:

$ grep Mcrt1 /tmp/inotifywait.log

/usr/arm-linux-gnueabihf/lib/ CREATE Mcrt1.o.dpkg-new
/usr/arm-linux-gnueabihf/lib/ OPEN Mcrt1.o.dpkg-new
/usr/arm-linux-gnueabihf/lib/ MODIFY Mcrt1.o.dpkg-new
/usr/arm-linux-gnueabihf/lib/ ATTRIB Mcrt1.o.dpkg-new
/usr/arm-linux-gnueabihf/lib/ CLOSE_WRITE,CLOSE Mcrt1.o.dpkg-new
/usr/arm-linux-gnueabihf/lib/ ATTRIB Mcrt1.o.dpkg-new
/usr/arm-linux-gnueabihf...

Read more...

TJ (tj) wrote :

I'm still seeing the issue and have followed up in bug #1797557

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.